IARRAY_MOMENT_COMPUTE(3)

EXPERIMENTAL_FUNC
iarray_moment_compute - Compute the 0th and 1st moments along the Z axis of a cube.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_moment_compute

(iarray mom0, iarray mom1, iarray cube, float lower_clip, float sum_clip, unsigned int moment1_algorithm, unsigned int start_z, unsigned int stop_z, float *mom0_min, float *mom0_max)

DESCRIPTION
Compute the 0th and 1st moments along the Z axis of a cube.

mom0
    The 0th moment array.

mom1
    The 1st moment array.

cube
    The cube.

lower_clip
    Values in the cube lower than this value are not used in the computation of the moments.

sum_clip
    Values in the 0th moment map lower than this value are not used in the computation of the 1st moment.

moment1_algorithm
    The 1st moment algorithm.

start_z
    The start channel.

stop_z
    The stop channel.

mom0_min
    The minimum value in the 0th moment image is written here.

mom0_max
    The maximum value in the 0th moment image is written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/